Scroll zoom erratic on Mac trackpad
2018-03-12 05:09 PM - Nathan Perry

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.2 Regression?: Yes
Operating System: 0S10.13.3 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26307
Description

Trackpad zoom on MacBook (late 2012 Retina) does not behave as expected. Instead of changing according to selected zoom factor, it
will zoom by fine resolution while trackpad is depressed, then jump to 2x the last scale when trackpad is released. Always jumps to
smaller scale regardless of zoom direction.

Example (see attached screencast):

1. Set scale to 1:100,000

2. Zoom out by small increments (not by 2x zoom factor) to 1:125,805
3. QGIS jumps to 1:251,610 on trackpad release

Or:

1. Set scale to 1:100,000

2. Zoom in by small increments to 1:14,515

3. QGIS jumps out to 1:29,031 on trackpad release

Associated revisions

Revision 6396571d - 2018-10-15 07:59 PM - Denis Rouzaud

[fix #18418] do not pursue when wheel event when delta = 0

History

#1 - 2018-03-12 08:40 PM - Nyall Dawson
- Status changed from Open to Feedback

Have you got any plugins installed? Also check that your project is NOT set to use predefined scales.

#2 - 2018-03-12 08:56 PM - Nathan Perry
No plugins are installed; | chose the clean install (without importing settings from QGIS 2). And I've confirmed that the project is not set to use predefined

scales. There are predefined scales available under Map Tools options; | have not added nor deleted any. This matches the conditions in QGIS 2.18,

where the zoom function performs as expected.

#3 - 2018-03-13 03:09 AM - Brendan Heberlein

| have experienced the same issue on my MacBook Pro (Early 2015 MBP w/ Retina Display, OS 10.13.3). The map view 'jumps' back to a larger scale
after releasing the trackpad from zoom. | have also noticed that, whereas in previous versions of QGIS | was able to adjust the map view zoom even when
e.g. the layer attributes dialog was open, if | try this now the map zooms out regardless of which direction | scroll (it is possible to zoom out, but not to zoom
in).
EDIT: | found Nathan's comment about the exact doubling of the scale factor intriguing, so | decided to compare scale factors on my machine. | found that
the scale factor increases by exactly 1.5x when | release the trackpad. Incidentally, my zoom factor (in the map tools preferences) is set to 150%. Upon |
changing my zoom factor to 100%, the glitch no longer occurs. Nathan, | suppose that you have your zoom factor set to the default 200%?
#4 - 2018-03-13 06:51 AM - Nathan Perry
Yes, that's right. The jump on trackpad release is according to the zoom factor; | realize | didn't make that clear. It's the actual increment of zooming that is
no longer according to the zoom factor. For example, in QGIS 2.18 a single "click" of the mouse wheel—or its trackpad equivalent—has the same effect as
cmd+ or cmd-, meaning it would zoom in or out by a single zoom factor. In QGIS 3.0, a single "click" moves at a much smaller increment than the zoom
factor (intentionally), but it's not an even division, so | cannot "land" on a 2x multiple of the original scale. (Perhaps that's why it "jumps"—is it trying to jump
to a multiple of the zoom factor, but instead jumps by a multiple of the zoom factor?)
#5 - 2018-04-10 10:04 PM - Dewey Dunnington
I only have this problem (map zooming out upon completing zoom with the trackpad) in OSX when on the "Pan" tool...when on any other tool (identify,
select, zoom in, zoom out, add point, move nodes are all the tools | tried), the final zoom level when | release my fingers from the trackpad seems is the
same zoom level when my fingers were on the trackpad. Perhaps it is related to the Pan tool?
#6 - 2018-04-10 10:29 PM - Nathan Perry
Yes, | can confirm that the jump in scale only occurs with the Pan tool. With other tools, however, the other part of the issue still remains (zooming by small
increments not related to the scale factor).
#7 - 2018-06-27 10:13 PM - Adam Stewart
| am also experiencing this exact same issue on macOS 10.13.5 (Early 2013 MBP w/ Retina Display, 13 inch) with QGIS 3.2.0 running Qt 5.9.3. This was
installed using the installation wizard, without importing settings from QGIS 2.
#8 - 2018-06-27 11:35 PM - Jiirgen Fischer
- Subject changed from QGIS 3.0 Scroll zoom erratic on Mac trackpad to Scroll zoom erratic on Mac trackpad
#9 - 2018-07-02 09:01 PM - Ugo Santana
Nathan Perry wrote:

Yes, | can confirm that the jump in scale only occurs with the Pan tool. With other tools, however, the other part of the issue still remains (zooming

by small increments not related to the scale factor).

| confirm what Nathan said. The bug is still here in 3.2, and it’s associated with pan. Another thing is that the bug is not just trackpad related, since It
happens using Apple Mouse.

#10 - 2018-07-18 07:50 PM - John Helly
I confirm this problem. | can only work with Qgis 3.2 by using an old USB mouse on my MacPro running 0SX 10.3.5. With either the Trackpad or the

Magic Mouse it is unusable due to the constant zooming out: impossible to get anything done.

#11 - 2018-08-15 07:59 PM - Giovanni Manghi
- Status changed from Feedback to Open
- Affected QGIS version changed from 3.0.0 to 3.2

#12 - 2018-08-20 09:54 AM - Denis Rouzaud
- Category changed from Map Tools to OsX Ul

#13 - 2018-09-05 06:41 PM - Denis Rouzaud
- Category changed from OsX Ul to mac_os_specific

#14 - 2018-10-15 07:59 PM - Denis Rouzaud
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|6396571d565cb77d1e99ab160b474040bc61c56d.
